Subject: Re: [lojban] More interface words

From: Rob Speer <[email-masked]>
Date: Mon, 23 Apr 2001 20:12:43 -0400

On Mon, Apr 23, 2001 at 06:55:52PM -0400, Value Yourself wrote:
> On Mon, 23 Apr 2001, Rob Speer wrote:
> > On Mon, Apr 23, 2001 at 01:30:38AM -0400, Value Yourself wrote:
> > > On Sun, 22 Apr 2001, Rob Speer wrote:
> > >
> > > > Okay, in what I've done now I've got a few more words.
> > > >
> > > > dialog box: reirdatni canko
> > >
> > > Why not reica'o? (Isn't the datni part implied, or redundant?)
> >
> > Possibly. I want some sort of distinction between "question box" (a yes/no or
> > OK/Cancel kind of thing) and "dialog box".
> 
> I see what you mean. skicu canko? (explainer-box)

And that sounds like a message box with no input at all.

The idea I'm trying to convey is that a dialog box asks for various kinds of
information.

> > > > animation: mu'uxra
> > > skina?
> >
> > That could work for an MPEG or AVI or something, but the context in which I'm
> > using it here is for a dumb applet which shows a three-frame animation of a
> > fish. Pretty lousy 'cinema' if you want to call it that. :)
> 
> 
> Still, I would think of it of a rufsu skina more than a muvdu pixra, which
> sounds more like an icon that moves around the screen.

skina has a place for the 'plot'. The plot of the fish would at best be zi'o.

Hmm. The gismu list suggests a term for animation ("selxraci'a skina") which
involves both pixra and skina, but is more intended to mean a cartoon, seems to
involve the actual process of displaying it on a screen, and doesn't make a
whole lot of sense.

> > What I've been doing is:
> > - I use the voice of the user when the text corresponds to a control that the
> > user selects
> > ("ko benji le tcika le datnysro")
> > - I use the voice of the computer when the text is just information
> > ("ledo canko jitro na mapti la gnom.")
> > - I avoid pronouns (that would be the narrator, I guess) when I'm not sure.
> 
> I hope this isn't more confusing than using a single voice everywhere.

The interaction between the human and the computer can be thought of as a
conversation. Choosing a single voice would involve either you or the computer
metaphorically putting words in the other's mouth.

-- 
Rob Speer